Commit ae08e9a4 authored by Sebastian Dröge's avatar Sebastian Dröge

osxvideosink: Improve configure check for OSX >= 10.6

https://bugzilla.gnome.org/show_bug.cgi?id=721245
parent 441f286e
......@@ -488,14 +488,13 @@ AG_GST_CHECK_FEATURE(OSX_VIDEO, [OSX video], osxvideosink, [
AC_CHECK_HEADER(OpenGL/gl.h, HAVE_OSX_VIDEO="yes", HAVE_OSX_VIDEO="no")
dnl in case header OpenGL/gl.h is found on other platforms (or older, unsupported OS X)
case "$host" in
*-*darwin1*)
dnl do nothing on Snow Leopard or newer
;;
*)
HAVE_OSX_VIDEO="no"
;;
esac
dnl also require Snow Leopard or newer
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <faad.h>]], [[
#if MAC_OS_X_VERSION_MIN_REQUIRED < 1060
#error Too old OSX version
#endif
]])],[HAVE_OSX_VIDEO="yes"],[HAVE_OSX_VIDEO="no"])
])
dnl *** Video 4 Linux 2 ***
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment